 
jQuery(function($){

	initRupI18nPromise.then(function() {
		
		$("#feedbackSeleccionAyuntamiento").rup_feedback(
			{
				type: "ok",
				block: false,
				delay: 3000,
				fadeSpeed: 600
			}
		);
		
		$('#dialogSeleccion').rup_dialog({
	        type: $.rup.dialog.DIV,
	        autoOpen: false,
	        modal: true,
	        resizable: false,
	        closeOnEscape: false,
	        dialogClass: 'custom_small_dialog',
	        title: '<i>'+$.rup.i18n.app.dialog.title.cambioAyuntamiento+'</i>',
	        buttons: [
	        	{
	        		text: $.rup.i18n.app.botonera.guardar,
	        		id: "btnSeleccionar",
	        		class: 'btn-material btn-material-primary-high-emphasis',		        		
	                click: function () {
	                	$.ajax({
	        	    		url: $.rup.CTX_PATH + 'seleccionAyuntamiento/setAyuntamiento/'+$("#combo_ayuntamientos").rup_combo("getRupValue"),
	        	    		type:'POST',
	        	    		contentType: 'application/json',
	        	    		beforeSend: function() {
	        	        	   Ad74aUtils.bloquearInterfaz();
	        	    		},
	        	    		error: function(xhr){
	        	    			Ad74aUtils.desBloquearInterfaz();
	        	        	   $("#feedbackSeleccionAyuntamiento").rup_feedback('set',$.rup.i18n.app.feedback.seleccionAyuntamientoKO,"error");
	        	    		},
	        	    		success: function(data){
	        	    			$("#combo_ayuntamientos_menu").rup_combo("refresh");
	        	    			window.location.href = JSON.parse(data);
	        	    		}
	        	       });	                    
	                },	                
	            }
	        ],
			open: () => {
				// Añadir iconos a los botones del popup
				$("#btnSeleccionar").html(`<i class="mdi mdi-content-save"></i> ${$.rup.i18n.app.botonera.guardar}`);
				$("#combo_ayuntamientos").rup_combo({	
					source: $.rup.CTX_PATH + 'seleccionAyuntamiento/ayuntamientosUsuarioConectado',
					sourceParam: {label: "desc", value:"idAyuntamiento31"},
					loadFromSelect:false,
					width: 'auto',
			        ordered: true,
					customClasses: ['select-material'],
					rowStriping: true
				});
			},
			beforeClose: () => false
	    });
		
		$('#dialogSeleccion').rup_dialog('open');
		
	});	

});